MDeviceDriver Struct Reference

## Data Fields

void(* | close )(MFrame *frame)
void *(* | get_prop )(MFrame *frame, MSymbol key)
void(* | realize_face )(MRealizedFace *rface)
void(* | free_realized_face )(MRealizedFace *rface)
void(* | fill_space )(MFrame *frame, MDrawWindow win, MRealizedFace *rface, int reverse, int x, int y, int width, int height, MDrawRegion region)
void(* | draw_empty_boxes )(MDrawWindow win, int x, int y, MGlyphString *gstring, MGlyph *from, MGlyph *to, int reverse, MDrawRegion region)
void(* | draw_hline )(MFrame *frame, MDrawWindow win, MGlyphString *gstring, MRealizedFace *rface, int reverse, int x, int y, int width, MDrawRegion region)
void(* | draw_box )(MFrame *frame, MDrawWindow win, MGlyphString *gstring, MGlyph *g, int x, int y, int width, MDrawRegion region)
void(* | draw_points )(MFrame *frame, MDrawWindow win, MRealizedFace *rface, int intensity, MDrawPoint *points, int num, MDrawRegion region)
MDrawRegion(* | region_from_rect )(MDrawMetric *rect)
void(* | union_rect_with_region )(MDrawRegion region, MDrawMetric *rect)
void(* | intersect_region )(MDrawRegion region1, MDrawRegion region2)
void(* | region_add_rect )(MDrawRegion region, MDrawMetric *rect)
void(* | region_to_rect )(MDrawRegion region, MDrawMetric *rect)
void(* | free_region )(MDrawRegion region)
void(* | dump_region )(MDrawRegion region)
MDrawWindow(* | create_window )(MFrame *frame, MDrawWindow parent)
void(* | destroy_window )(MFrame *frame, MDrawWindow win)
void(* | map_window )(MFrame *frame, MDrawWindow win)
void(* | unmap_window )(MFrame *frame, MDrawWindow win)
void(* | window_geometry )(MFrame *frame, MDrawWindow win, MDrawWindow parent, MDrawMetric *geometry)
void(* | adjust_window )(MFrame *frame, MDrawWindow win, MDrawMetric *current, MDrawMetric *new)
MSymbol(* | parse_event )(MFrame *frame, void *arg, int *modifiers)

## Field Documentation

## close

void(* MDeviceDriver::close) (MFrame *frame)

## get_prop

void*(* MDeviceDriver::get_prop) (MFrame *frame, MSymbol key)

## realize_face

void(* MDeviceDriver::realize_face) (MRealizedFace *rface)

## free_realized_face

void(* MDeviceDriver::free_realized_face) (MRealizedFace *rface)

## fill_space

void(* MDeviceDriver::fill_space) (MFrame *frame, MDrawWindow win, MRealizedFace *rface, int reverse, int x, int y, int width, int height, MDrawRegion region)

## draw_empty_boxes

void(* MDeviceDriver::draw_empty_boxes) (MDrawWindow win, int x, int y, MGlyphString *gstring, MGlyph *from, MGlyph *to, int reverse, MDrawRegion region)

## draw_hline

void(* MDeviceDriver::draw_hline) (MFrame *frame, MDrawWindow win, MGlyphString *gstring, MRealizedFace *rface, int reverse, int x, int y, int width, MDrawRegion region)

## draw_box

void(* MDeviceDriver::draw_box) (MFrame *frame, MDrawWindow win, MGlyphString *gstring, MGlyph *g, int x, int y, int width, MDrawRegion region)

## draw_points

void(* MDeviceDriver::draw_points) (MFrame *frame, MDrawWindow win, MRealizedFace *rface, int intensity, MDrawPoint *points, int num, MDrawRegion region)

## region_from_rect

MDrawRegion(* MDeviceDriver::region_from_rect) (MDrawMetric *rect)

## union_rect_with_region

void(* MDeviceDriver::union_rect_with_region) (MDrawRegion region, MDrawMetric *rect)

## intersect_region

void(* MDeviceDriver::intersect_region) (MDrawRegion region1, MDrawRegion region2)

## region_add_rect

void(* MDeviceDriver::region_add_rect) (MDrawRegion region, MDrawMetric *rect)

## region_to_rect

void(* MDeviceDriver::region_to_rect) (MDrawRegion region, MDrawMetric *rect)

## free_region

void(* MDeviceDriver::free_region) (MDrawRegion region)

## dump_region

void(* MDeviceDriver::dump_region) (MDrawRegion region)

## create_window

MDrawWindow(* MDeviceDriver::create_window) (MFrame *frame, MDrawWindow parent)

## destroy_window

void(* MDeviceDriver::destroy_window) (MFrame *frame, MDrawWindow win)

## map_window

void(* MDeviceDriver::map_window) (MFrame *frame, MDrawWindow win)

## unmap_window

void(* MDeviceDriver::unmap_window) (MFrame *frame, MDrawWindow win)

## window_geometry

void(* MDeviceDriver::window_geometry) (MFrame *frame, MDrawWindow win, MDrawWindow parent, MDrawMetric *geometry)

## adjust_window

void(* MDeviceDriver::adjust_window) (MFrame *frame, MDrawWindow win, MDrawMetric *current, MDrawMetric *new)

## parse_event

MSymbol(* MDeviceDriver::parse_event) (MFrame *frame, void *arg, int *modifiers)